# Project: EspressoLib
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = obj/black_white.o obj/canonical.o obj/cofactor.o obj/cols.o obj/compl.o obj/contain.o obj/cpu_time.o obj/cubestr.o obj/cvrin.o obj/cvrin_string.o obj/cvrm.o obj/cvrmisc.o obj/cvrout.o obj/dominate.o obj/equiv.o obj/espresso.o obj/EspressoLib.o obj/essen.o obj/essentiality.o obj/exact.o obj/expand.o obj/gasp.o obj/gimpel.o obj/globals.o obj/hack.o obj/indep.o obj/irred.o obj/map.o obj/matrix.o obj/mincov.o obj/opo.o obj/pair.o obj/part.o obj/primes.o obj/prtime.o obj/reduce.o obj/rows.o obj/set.o obj/setc.o obj/sharp.o obj/sigma.o obj/signature.o obj/signature_exact.o obj/sminterf.o obj/solution.o obj/sparse.o obj/strsav.o obj/tables.o obj/unate.o obj/util_signature.o obj/utility.o obj/verify.o $(RES)
LINKOBJ  = obj/black_white.o obj/canonical.o obj/cofactor.o obj/cols.o obj/compl.o obj/contain.o obj/cpu_time.o obj/cubestr.o obj/cvrin.o obj/cvrin_string.o obj/cvrm.o obj/cvrmisc.o obj/cvrout.o obj/dominate.o obj/equiv.o obj/espresso.o obj/EspressoLib.o obj/essen.o obj/essentiality.o obj/exact.o obj/expand.o obj/gasp.o obj/gimpel.o obj/globals.o obj/hack.o obj/indep.o obj/irred.o obj/map.o obj/matrix.o obj/mincov.o obj/opo.o obj/pair.o obj/part.o obj/primes.o obj/prtime.o obj/reduce.o obj/rows.o obj/set.o obj/setc.o obj/sharp.o obj/sigma.o obj/signature.o obj/signature_exact.o obj/sminterf.o obj/solution.o obj/sparse.o obj/strsav.o obj/tables.o obj/unate.o obj/util_signature.o obj/utility.o obj/verify.o $(RES)
LIBS =  -L"lib"  
INCS =  -I"include" 
CXXINCS =  -I"lib/gcc/mingw32/3.4.2/include"  -I"include/c++/3.4.2/backward"  -I"include/c++/3.4.2/mingw32"  -I"include/c++/3.4.2"  -I"include" 
BIN  = DevC++/EspressoLib.a
CXXFLAGS = $(CXXINCS) -s   -fexceptions -fexpensive-optimizations -O3
CFLAGS = $(INCS)    -fexceptions -fexpensive-optimizations -O3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before DevC++/EspressoLib.a all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(LINKOBJ)
	ar r $(BIN) $(LINKOBJ)
	ranlib $(BIN)

obj/black_white.o: black_white.cpp
	$(CPP) -c black_white.cpp -o obj/black_white.o $(CXXFLAGS)

obj/canonical.o: canonical.cpp
	$(CPP) -c canonical.cpp -o obj/canonical.o $(CXXFLAGS)

obj/cofactor.o: cofactor.cpp
	$(CPP) -c cofactor.cpp -o obj/cofactor.o $(CXXFLAGS)

obj/cols.o: cols.cpp
	$(CPP) -c cols.cpp -o obj/cols.o $(CXXFLAGS)

obj/compl.o: compl.cpp
	$(CPP) -c compl.cpp -o obj/compl.o $(CXXFLAGS)

obj/contain.o: contain.cpp
	$(CPP) -c contain.cpp -o obj/contain.o $(CXXFLAGS)

obj/cpu_time.o: cpu_time.cpp
	$(CPP) -c cpu_time.cpp -o obj/cpu_time.o $(CXXFLAGS)

obj/cubestr.o: cubestr.cpp
	$(CPP) -c cubestr.cpp -o obj/cubestr.o $(CXXFLAGS)

obj/cvrin.o: cvrin.cpp
	$(CPP) -c cvrin.cpp -o obj/cvrin.o $(CXXFLAGS)

obj/cvrin_string.o: cvrin_string.cpp
	$(CPP) -c cvrin_string.cpp -o obj/cvrin_string.o $(CXXFLAGS)

obj/cvrm.o: cvrm.cpp
	$(CPP) -c cvrm.cpp -o obj/cvrm.o $(CXXFLAGS)

obj/cvrmisc.o: cvrmisc.cpp
	$(CPP) -c cvrmisc.cpp -o obj/cvrmisc.o $(CXXFLAGS)

obj/cvrout.o: cvrout.cpp
	$(CPP) -c cvrout.cpp -o obj/cvrout.o $(CXXFLAGS)

obj/dominate.o: dominate.cpp
	$(CPP) -c dominate.cpp -o obj/dominate.o $(CXXFLAGS)

obj/equiv.o: equiv.cpp
	$(CPP) -c equiv.cpp -o obj/equiv.o $(CXXFLAGS)

obj/espresso.o: espresso.cpp
	$(CPP) -c espresso.cpp -o obj/espresso.o $(CXXFLAGS)

obj/EspressoLib.o: EspressoLib.cpp
	$(CPP) -c EspressoLib.cpp -o obj/EspressoLib.o $(CXXFLAGS)

obj/essen.o: essen.cpp
	$(CPP) -c essen.cpp -o obj/essen.o $(CXXFLAGS)

obj/essentiality.o: essentiality.cpp
	$(CPP) -c essentiality.cpp -o obj/essentiality.o $(CXXFLAGS)

obj/exact.o: exact.cpp
	$(CPP) -c exact.cpp -o obj/exact.o $(CXXFLAGS)

obj/expand.o: expand.cpp
	$(CPP) -c expand.cpp -o obj/expand.o $(CXXFLAGS)

obj/gasp.o: gasp.cpp
	$(CPP) -c gasp.cpp -o obj/gasp.o $(CXXFLAGS)

obj/gimpel.o: gimpel.cpp
	$(CPP) -c gimpel.cpp -o obj/gimpel.o $(CXXFLAGS)

obj/globals.o: globals.cpp
	$(CPP) -c globals.cpp -o obj/globals.o $(CXXFLAGS)

obj/hack.o: hack.cpp
	$(CPP) -c hack.cpp -o obj/hack.o $(CXXFLAGS)

obj/indep.o: indep.cpp
	$(CPP) -c indep.cpp -o obj/indep.o $(CXXFLAGS)

obj/irred.o: irred.cpp
	$(CPP) -c irred.cpp -o obj/irred.o $(CXXFLAGS)

obj/map.o: map.cpp
	$(CPP) -c map.cpp -o obj/map.o $(CXXFLAGS)

obj/matrix.o: matrix.cpp
	$(CPP) -c matrix.cpp -o obj/matrix.o $(CXXFLAGS)

obj/mincov.o: mincov.cpp
	$(CPP) -c mincov.cpp -o obj/mincov.o $(CXXFLAGS)

obj/opo.o: opo.cpp
	$(CPP) -c opo.cpp -o obj/opo.o $(CXXFLAGS)

obj/pair.o: pair.cpp
	$(CPP) -c pair.cpp -o obj/pair.o $(CXXFLAGS)

obj/part.o: part.cpp
	$(CPP) -c part.cpp -o obj/part.o $(CXXFLAGS)

obj/primes.o: primes.cpp
	$(CPP) -c primes.cpp -o obj/primes.o $(CXXFLAGS)

obj/prtime.o: prtime.cpp
	$(CPP) -c prtime.cpp -o obj/prtime.o $(CXXFLAGS)

obj/reduce.o: reduce.cpp
	$(CPP) -c reduce.cpp -o obj/reduce.o $(CXXFLAGS)

obj/rows.o: rows.cpp
	$(CPP) -c rows.cpp -o obj/rows.o $(CXXFLAGS)

obj/set.o: set.cpp
	$(CPP) -c set.cpp -o obj/set.o $(CXXFLAGS)

obj/setc.o: setc.cpp
	$(CPP) -c setc.cpp -o obj/setc.o $(CXXFLAGS)

obj/sharp.o: sharp.cpp
	$(CPP) -c sharp.cpp -o obj/sharp.o $(CXXFLAGS)

obj/sigma.o: sigma.cpp
	$(CPP) -c sigma.cpp -o obj/sigma.o $(CXXFLAGS)

obj/signature.o: signature.cpp
	$(CPP) -c signature.cpp -o obj/signature.o $(CXXFLAGS)

obj/signature_exact.o: signature_exact.cpp
	$(CPP) -c signature_exact.cpp -o obj/signature_exact.o $(CXXFLAGS)

obj/sminterf.o: sminterf.cpp
	$(CPP) -c sminterf.cpp -o obj/sminterf.o $(CXXFLAGS)

obj/solution.o: solution.cpp
	$(CPP) -c solution.cpp -o obj/solution.o $(CXXFLAGS)

obj/sparse.o: sparse.cpp
	$(CPP) -c sparse.cpp -o obj/sparse.o $(CXXFLAGS)

obj/strsav.o: strsav.cpp
	$(CPP) -c strsav.cpp -o obj/strsav.o $(CXXFLAGS)

obj/tables.o: tables.cpp
	$(CPP) -c tables.cpp -o obj/tables.o $(CXXFLAGS)

obj/unate.o: unate.cpp
	$(CPP) -c unate.cpp -o obj/unate.o $(CXXFLAGS)

obj/util_signature.o: util_signature.cpp
	$(CPP) -c util_signature.cpp -o obj/util_signature.o $(CXXFLAGS)

obj/utility.o: utility.cpp
	$(CPP) -c utility.cpp -o obj/utility.o $(CXXFLAGS)

obj/verify.o: verify.cpp
	$(CPP) -c verify.cpp -o obj/verify.o $(CXXFLAGS)
